#
# spec file for package perl-Crypt-GeneratePassword (Version 0.03)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Crypt-GeneratePassword
%define        real_name Crypt-GeneratePassword
Summary:        GeneratePassword - generate secure random pronounceable passwords
Url:            http://search.cpan.org/perldoc?Crypt::GeneratePassword
Group:          Development/Libraries/Perl
License:        Artistic License
Version:        0.03
Release:        1.4
Source:         %{real_name}-%{version}.tar.bz2
Requires:       perl = %{perl_version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Crypt::GeneratePassword generates random passwords that are (more or
less) pronounceable. Unlike Crypt::RandPasswd, it doesn't use the
FIPS-181 NIST standard, which is proven to be insecure. It does use a
similar interface, so it should be a drop-in replacement in most cases.

If you want to use passwords from a different language than english,
you can use one of the packaged alternate unit tables or generate your
own. See below for details.

For details on why FIPS-181 is insecure and why the solution used in
this module is reasonably secure, see "A New Attack on Random
Pronounceable Password Generators" by Ravi Ganesan and Chris Davies,
available online in may places - use your favourite search engine.

This module improves on FIPS-181 using a true random selection with the
word generator as mere filter. Other improvements are better
pronounceability using third order approximation instead of second
order and multi-language support. Drawback of this method is that it is
usually slower. Then again, computer speed has improved a little since
1977.

Author: Jörg Walter <jwalt@cpan.org>



%prep
%setup -n %{real_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc Changes README MANIFEST
%doc %{_mandir}/man?/*
%dir %{perl_vendorarch}/auto/Crypt
%dir %{perl_vendorarch}/auto/Crypt/GeneratePassword
%dir %{perl_vendorlib}/Crypt
%dir %{perl_vendorlib}/Crypt/GeneratePassword
%{perl_vendorarch}/auto/Crypt/GeneratePassword/.packlist
%{perl_vendorlib}/Crypt/*.pm
%{perl_vendorlib}/Crypt/GeneratePassword/*.pm
/var/adm/perl-modules/%{name}

%changelog
* Thu Mar 19 2009 lrupp@suse.de
- initial version 0.03
